commit 51e0b6fee84d09e77ba46d68869ddf913fe92ed6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Nov 4 00:55:57 2025 +0100

    poppler 25.11.0

 CMakeLists.txt   |  4 ++--
 NEWS             | 11 +++++++++++
 cpp/Doxyfile     |  2 +-
 qt5/src/Doxyfile |  2 +-
 qt6/src/Doxyfile |  2 +-
 5 files changed, 16 insertions(+), 5 deletions(-)

commit b7da5687374e572dd77224989a962a01ef998d67
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Oct 31 13:34:33 2025 +0100

    Update (C)

 glib/poppler-form-field.cc | 1 +
 splash/SplashClip.cc       | 2 +-
 splash/SplashClip.h        | 2 +-
 3 files changed, 3 insertions(+), 2 deletions(-)

commit ef48acc10131300c303a14f4e1b4d69a6c4166bb
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Wed Oct 29 15:07:17 2025 +0100

    [SplashClip] Use ranges::all_of instead of open coded equivalent

    As suggested by clang-tidy.

 splash/SplashClip.cc | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit fd49d61eff79bcd04dcef5f29ad4b083ece37f92
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Mon Oct 20 15:43:00 2025 +0200

    [SplashXPathScanner] Const'ify eo member

 splash/SplashXPathScanner.cc | 5 ++---
 splash/SplashXPathScanner.h  | 2 +-
 2 files changed, 3 insertions(+), 4 deletions(-)

commit 426ade4e19da0a565d0a93f4189e430e05d12c7d
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Mon Oct 20 15:42:07 2025 +0200

    [SplashXPathScanner] Remove redundant hasPartialClip()

    The calling code already retrieves the bounding box from the scanner,
    notably yMin/yMax, and intersects it with the clip rectangle.

 splash/Splash.cc             | 4 ----
 splash/SplashXPathScanner.cc | 3 ---
 splash/SplashXPathScanner.h  | 5 -----
 3 files changed, 12 deletions(-)

commit 6be9bca95be6eba506823c555dc5a34a4c49fbc2
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Mon Oct 20 15:36:40 2025 +0200

    [SplashClip] Remove no longer used flags array

    The flags array is allocated and initialized, but never evaluated.
    The size (capacity) member also becomes unused, and length can be
    replaced with scanners.size().

 splash/SplashClip.cc | 62
 +++++++++-------------------------------------------
 splash/SplashClip.h  |  7 ++----
 2 files changed, 12 insertions(+), 57 deletions(-)

commit 6a1e5b76867b026dbf316cde705e305325331866
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sun Oct 19 02:10:35 2025 +0200

    [SplashXPathScanner] Remove unused getSpanBounds method

 splash/SplashXPathScanner.cc | 23 -----------------------
 splash/SplashXPathScanner.h  |  3 ---
 2 files changed, 26 deletions(-)

commit 82b93b8c18bb8288a58f6ba0fef6f60c15ba252f
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sat Oct 18 17:28:32 2025 +0200

    [SplashXPathScanner] Try to merge intersection spans early

    Spans which overlap or are adjacent without gap can be merged
    immediately,
    as the Postscript painting model marks all device pixels which are
    partially overlapped by a line.

    This is fairly often the case, as consecutive segments often
    overlap. Also
    tiny features may mark the same location multiple times.

    Merging often avoids (heap) allocation for additional spans, reduces
    time for sorting the spans, and speeds up the collection of
    consecutive
    spans when rendering the scanline.

    CCBUG: #1555

 splash/SplashXPathScanner.cc | 18 +++++++++++++++---
 1 file changed, 15 insertions(+), 3 deletions(-)

commit d264aff319620979d77072e1725d8bef20909d9a
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sat Oct 18 17:17:58 2025 +0200

    [SplashXPathScanner] Move even-odd check invariant out of loop

 splash/SplashXPathScanner.cc | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 45e462ffd6a52fb5144baf1db04dd5a5c2608282
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sat Oct 18 14:21:02 2025 +0200

    [SplashXPathScanner] Only adjust x coordinate when necessary

    Most segments are not clipped, so the x start coordinate can be left
    unadjusted, as `(y0 - seg->y0) * dxdy == 0`.

 splash/SplashXPathScanner.cc | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit a90efa6da7538cfc4bd07572593608ea3162f03d
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sat Oct 18 13:54:58 2025 +0200

    [SplashXPathScanner] Remove no longer used parameter

 splash/SplashXPathScanner.cc | 8 ++++----
 splash/SplashXPathScanner.h  | 2 +-
 2 files changed, 5 insertions(+), 5 deletions(-)

commit c6be677581ee77c3b143c206b81c0200f6c187f5
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Fri Feb 7 23:15:34 2025 +0100

    [SplashXPathScanner] Optimize almost horizontal segments

    If a segment is almost horizontal (i.e. its start and end y
    coordinates
    are rounded to the same value), the segment can be treated like
    an exactly
    horizontal segment.

    (This requires the count adjustment to be done one the upper edge.)

 splash/SplashXPathScanner.cc | 21 ++++++++++++---------
 1 file changed, 12 insertions(+), 9 deletions(-)

commit 20d85e0766f4dd17c02fe8f98251cf8ec738680a
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Fri Feb 7 22:53:47 2025 +0100

    [SplashXPathScanner] Optimize count check

    The count is incremented/decremented each time a segment crosses a
    scanline boundary. If a segment starts/ends on a boundary, the count
    has to be changed exactly once, i.e. either on the upper or lower
    edge of
    the segment, but which one is arbitray.

    Changing this from the lower to the upper edge simplifies the
    condition,
    as (y <= segYMax) is always true.

 splash/SplashXPathScanner.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3190933f5c3597e09ac8b4eff0057d6286206efb
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Thu Feb 6 12:15:49 2025 +0100

    [SplashXPathScanner] Remove one unnecessary even-odd check

    The drawing routine checks if the count is even or odd, but does not
    care if it is negative or positive, or if the count is large or
    small -
    i.e. both adding +1 or -1 has the same effect.

    Removes one branch and a few other instructions per segment.

 splash/SplashXPathScanner.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4067038d78d9aced6a25c4169a9458a4c0dfbb2c
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sat Oct 18 13:02:49 2025 +0200

    [SplashXPathScanner] Flip XPath segment coordinates immediately

    Each segment is evaluated several times, ~log(n) times in
    `SplashXPath::sort`, and once each in the `SplashXPathScanner`
    constructor
    and its `computeIntersections` method.

    The direction of the segment is used to determine if a scanline
    span is
    inside or outside the polygon, by counting the intersections. This is
    already tracked by a flag. Adapt the name to signal the segment has
    been flipped.

 splash/Splash.cc             | 14 ++++++++----
 splash/SplashClip.cc         | 54
 ++++++++++++++++++++++++++++++++++++--------
 splash/SplashXPath.cc        | 30 ++++++++++++------------
 splash/SplashXPath.h         |  2 +-
 splash/SplashXPathScanner.cc | 32 +++++++-------------------
 5 files changed, 77 insertions(+), 55 deletions(-)

commit b3c328c0313c745feb67aaca4035a9c18170c961
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Thu Feb 6 02:39:13 2025 +0100

    [SplashXPathScanner] Remove unused y coordinate member

 splash/SplashXPathScanner.cc | 1 -
 splash/SplashXPathScanner.h  | 1 -
 2 files changed, 2 deletions(-)

commit 61c0fc58d3c1142bd95d881ffe68b4b530d443da
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sat Oct 18 18:29:20 2025 +0200

    [SplashXPath] Remove no longer used dydx member

 splash/SplashXPath.cc | 5 ++---
 splash/SplashXPath.h  | 5 +----
 2 files changed, 3 insertions(+), 7 deletions(-)

commit c569eec7426b60063d7c8564e2bb8faeebf69b2d
Author: lbaudin <lbaudin@gnome.org>
Date:   Sat Oct 18 13:40:39 2025 +0200

    glib: fix ocsp check for signatures validation

    The GLib API has a negative WITHOUT_OCSP flag while poppler internal
    has a positive flag, so we need a negation when transmitting the flag.

 glib/poppler-form-field.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b706f8bdbb2ba69ccd2532d7cf0b520668ba5fa2
Author: Marek Kasik <mkasik@redhat.com>
Date:   Fri Oct 17 11:13:32 2025 +0000

    getDefaultFirefoxCertDB(): Return the latest profile directory

 poppler/NSSCryptoSignBackend.cc | 15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)

commit 5070962f19d40206861aba07c2af8a185b9e9ed9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Oct 16 10:08:10 2025 +0200

    Update (C)

 poppler/CMap.h | 1 +
 1 file changed, 1 insertion(+)

commit 94f62d08a2509c420c34ef53ba23ab835e80dfdb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Oct 14 00:22:41 2025 +0200

    CMap::parse no need for smart pointers in the recursion checker

 poppler/CMap.cc | 16 +++++++++++-----
 poppler/CMap.h  |  9 ++++-----
 2 files changed, 15 insertions(+), 10 deletions(-)

commit 998c6a79571af968ba90af57a0c5dcbb5a53763c
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Mon Oct 13 15:13:14 2025 +0200

    Limit recursion in cmap parsing

    fixes #1632

 poppler/CMap.cc | 18 +++++++++++-------
 poppler/CMap.h  | 13 +++++++------
 2 files changed, 18 insertions(+), 13 deletions(-)

commit 11b859f559d38708c95657cc633f8d43f4ffc35b
Author: Juraj Šarinay <juraj@sarinay.com>
Date:   Tue Sep 23 22:47:29 2025 +0200

    call PORT_GetError() only if the preceding CERT_PKIXVerifyCert() fails

 poppler/NSSCryptoSignBackend.cc |  7 +++-
 test/CMakeLists.txt             | 82
 +++++++++++++++++++++++++++++++++++++++++
 test/pdf-signing-nss.cc         | 79
 +++++++++++++++++++++++++++++++++++++++
 3 files changed, 166 insertions(+), 2 deletions(-)

commit 759ec77140412b9b51d9251cd46e8ac51abbb60c
Author: William Bader <william@newspapersystems.com>
Date:   Tue Oct 7 06:47:56 2025 +0200

    glib/poppler.h: Place POPPLER_RENDER_ANNOTS_PRINT_MARKUP on a
    single line
    to fix "WARNING: Failed to parse" from glib-mkenums

 glib/poppler.h | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit b1cd3dc18151bd2672ac0b51012f6a64592b7f3b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Oct 4 01:15:11 2025 +0200

    Increase version so people that track master can add ifdefs on version

 CMakeLists.txt   | 2 +-
 cpp/Doxyfile     | 2 +-
 qt5/src/Doxyfile | 2 +-
 qt6/src/Doxyfile | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit da906ddbfa5aa992c116fee7c95959cd79915f16
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Oct 4 01:04:48 2025 +0200

    poppler 25.10.0

 CMakeLists.txt      |  6 +++---
 NEWS                | 17 +++++++++++++++++
 cpp/CMakeLists.txt  |  2 +-
 cpp/Doxyfile        |  2 +-
 glib/CMakeLists.txt |  2 +-
 qt5/src/Doxyfile    |  2 +-
 qt6/src/Doxyfile    |  2 +-
 7 files changed, 25 insertions(+), 8 deletions(-)

commit 8c920bcfc4e6501be5b0dc3ce3775587d6a5f602
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Oct 3 15:57:11 2025 +0200

    Fix data driven tests for non-signature builds

    Make the ifdeffery a bit more complicated to allow functioning things
    for builds without signatures enabled.

 qt6/tests/check_signature_basics.cpp | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit d916b885bee01cf6ee52b4ac213a4abb41703344
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Oct 3 02:00:52 2025 +0200

    Update po files

 utils/po/ca/pdfsig.po | 6 +++---
 utils/po/pdfsig.pot   | 6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 68f2e306cb2e97c2778dfe655a0a910feb1517b5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Oct 1 11:08:38 2025 +0200

    Update (C)

 cpp/tests/poppler-dump.cpp           | 1 +
 glib/poppler-document.cc             | 1 +
 goo/GooString.cc                     | 1 +
 poppler/Annot.cc                     | 2 +-
 poppler/Annot.h                      | 2 +-
 poppler/PageLabelInfo.cc             | 1 +
 poppler/SecurityHandler.cc           | 2 +-
 poppler/StructTreeRoot.cc            | 1 +
 qt5/tests/check_signature_basics.cpp | 2 +-
 splash/SplashBitmap.cc               | 1 +
 splash/SplashTypes.h                 | 1 +
 utils/pdfsig.cc                      | 2 +-
 utils/pdftocairo-win32.cc            | 1 +
 utils/pdftoppm.cc                    | 1 +
 utils/pdftops.cc                     | 1 +
 utils/pdftotext.cc                   | 1 +
 16 files changed, 16 insertions(+), 5 deletions(-)

commit 358411b04fbf868b37add3f73e089ddb0684f57f
Author: Lucas Baudin <lucas.baudin@ensae.fr>
Date:   Fri Jan 17 20:46:55 2025 +0100

    Add an attribute to the AnnotInk class to make annotation drawn
    "below", i.e. with a multiply blend mode.

    This may be used for highlighting.
    Also add the necessary GLib binding.

 glib/demo/annots.c    |  9 ++++++++-
 glib/poppler-annot.cc | 31 +++++++++++++++++++++++++++++++
 glib/poppler-annot.h  |  4 ++++
 poppler/Annot.cc      | 51
 +++++++++++++++++++++++++++++++++++++++++++++++----
 poppler/Annot.h       |  3 +++
 5 files changed, 93 insertions(+), 5 deletions(-)

commit de44e3476fa8b8b0943cd162980c174793b12537
Author: Lucas Baudin <lucas.baudin@ensae.fr>
Date:   Fri Jan 17 20:46:55 2025 +0100

    Refactor AnnotInk to generate appearance when the ink list is set
    and not only for drawing.

    This is useful when a file is saved and the annotation has not been
    drawn yet.

 poppler/Annot.cc | 81
 ++++++++++++++++++++++++++++++++------------------------
 poppler/Annot.h  |  1 +
 2 files changed, 47 insertions(+), 35 deletions(-)

commit 62747813b3f45dc7678652147418a4dec0aaaa5f
Author: Zsombor Hollay-Horvath <hollay.horvath@gmail.com>
Date:   Tue Sep 30 17:01:45 2025 +0200

    CPP API: fix for bad embedded file name

    Changes on the `embedded_file` type:
    - new `unicodeName()` method
    - deprecate old `name()` method

 cpp/poppler-embedded-file.cpp | 10 ++++++++++
 cpp/poppler-embedded-file.h   |  4 +++-
 cpp/tests/poppler-dump.cpp    |  4 ++--
 3 files changed, 15 insertions(+), 3 deletions(-)

commit 4ce27cc826bf90cc8dbbd8a8c87bd913cccd7ec0
Author: Kevin Backhouse <kevinbackhouse@github.com>
Date:   Wed Sep 3 14:36:54 2025 +0100

    Check for duplicate entries

 poppler/StructTreeRoot.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 3b605b9fb8aba26b2c9c6fe5973dd8c5c69705a9
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Jun 8 16:47:31 2023 +0200

    Don't embed substitutions for base14 fonts

    If one asks for a base14 font, but receives some kind of substitution
    (e.g. Arial for Helvetica), don't actually embed it, but just
    reference
    it instead.

    This helps us finding especially base14 fonts if asked to be used for
    annotations

 poppler/Form.cc            | 20 +++++++++++++-------
 poppler/Form.h             |  3 ++-
 poppler/GfxFont.cc         | 12 ++++++++++++
 poppler/GfxFont.h          |  2 ++
 poppler/GlobalParams.cc    |  4 +++-
 poppler/GlobalParams.h     |  3 ++-
 poppler/GlobalParamsWin.cc | 17 ++++++++++++++++-
 7 files changed, 50 insertions(+), 11 deletions(-)

commit 67b659881837d39dc6b63a6a4c8a81a3771cbce4
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Wed Sep 17 15:57:01 2025 +0200

    Revert "FormWidgetSignature::signDocumentWithAppearance: add imagePath
    parameter"

    It in general mostly triggered bugs downstream and didn't fix
    anything.

    For certain signature patterns from at least Okular, where replacing
    the
    background on signing previously created signatures was not expected.

    See for example KDE bug 508518

    This reverts commit 61e4f56ea85f6c094eddf7df56cc6eb2d688d7f4.

 poppler/Form.cc         | 14 +-------------
 poppler/Form.h          |  2 +-
 qt5/src/poppler-form.cc |  3 +--
 qt6/src/poppler-form.cc |  3 +--
 utils/pdfsig.cc         |  3 +--
 5 files changed, 5 insertions(+), 20 deletions(-)

commit d3c7a0e3075b7f9ad28aad54e30829eac0dc458f
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Sep 26 16:29:00 2025 +0200

    Add and restructure unit test

    Move the pgp tests to a seperate file for convenience

    Add an extra document to loop all the 'normal' tests over
    to ensure that we also handle randomly-padded documents

 qt6/tests/CMakeLists.txt                 |   2 +
 qt6/tests/check_signature_basics.cpp     | 165 +++--------------------
 qt6/tests/check_signature_basics_pgp.cpp | 217
 +++++++++++++++++++++++++++++++
 3 files changed, 236 insertions(+), 148 deletions(-)

commit 7937d16e0f864e674fd5fbf84f306cc66f86f7c3
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Sep 26 16:47:08 2025 +0200

    Handle signatures padded with random

    At least some official austrian signature tools pads their signatures
    with random instead of padding with nulls as what is specified.

    Let our partial asn1-parser get the actual signature in those
    cases and
    read it from the signature data rather than re-reading the document.

 poppler/Form.cc                      | 158
 ++++++++++++-----------------------
 poppler/Form.h                       |  16 ++--
 qt5/src/poppler-form.cc              |   8 +-
 qt5/tests/check_signature_basics.cpp |   6 +-
 qt6/src/poppler-form.cc              |   8 +-
 qt6/tests/check_signature_basics.cpp |   9 +-
 utils/pdfsig.cc                      |   9 +-
 7 files changed, 78 insertions(+), 136 deletions(-)

commit 1e128a8dc6ca06f1d02b6e095b76aa01e44a5ffd
Author: lbaudin <lbaudin@gnome.org>
Date:   Tue Sep 23 22:55:02 2025 +0200

    glib: fix signature text in glib binding

    A typo replaced the signature text with the left signature text.
    Fix
    https://gitlab.freedesktop.org/poppler/poppler/-/commit/c3b2c097ac0a38db0671bd4d78a917d5b9892da4

 glib/poppler-document.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f72b4935c2b120a6d58cf76121313ba86fabc9a1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 23 00:25:53 2025 +0200

    Fix pdf-fullrewrite destroying documents

    It's a good thing we don't install this ^_^

 test/pdf-fullrewrite.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 99bc26379897b023236ddc1234f5ffa21977f189
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 22 15:21:57 2025 +0200

    Don't search+insert in std::sets

    insert and use the bool that tells us if it was inserted

 poppler/Form.cc | 13 +++++--------
 poppler/Gfx.cc  | 18 +++++++++---------
 2 files changed, 14 insertions(+), 17 deletions(-)

commit bb547a3ccbcd1b2965708542981cd7e9cf46d3bf
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 21 20:14:41 2025 +0200

    Dict * to const Dict &

 poppler/Catalog.cc        |  2 +-
 poppler/StructTreeRoot.cc | 25 ++++++++++++-------------
 poppler/StructTreeRoot.h  |  8 ++++----
 3 files changed, 17 insertions(+), 18 deletions(-)

commit 56d32b0aff022698787ffed291851049822b5a81
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 21 17:37:25 2025 +0200

    A few Array * to const Array &

 poppler/Annot.cc           | 72 ++++++++++++++++++++--------------------
 poppler/Annot.h            | 14 ++++----
 poppler/Catalog.cc         | 14 ++++----
 poppler/Catalog.h          |  2 +-
 poppler/GfxState.cc        | 82
 +++++++++++++++++++++++-----------------------
 poppler/GfxState.h         | 16 ++++-----
 poppler/Link.cc            | 50 ++++++++++++++--------------
 poppler/Link.h             |  4 +--
 poppler/OptionalContent.cc | 34 +++++++++----------
 poppler/OptionalContent.h  | 10 +++---
 10 files changed, 149 insertions(+), 149 deletions(-)

commit ae783b8a7a72fb9266e148facd7ef90ed5cd924d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 21 17:26:00 2025 +0200

    MediaRendition::MediaRendition: take const Dict &

 poppler/Link.cc      | 4 ++--
 poppler/Rendition.cc | 8 ++++----
 poppler/Rendition.h  | 2 +-
 3 files changed, 7 insertions(+), 7 deletions(-)

commit f2d0fd13293dc1cc275bb1e735758f56748e9d00
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 21 17:23:23 2025 +0200

    MediaParameters::parseMediaScreenParameters; Take const &

 poppler/Rendition.cc | 14 +++++++-------
 poppler/Rendition.h  |  2 +-
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 6d7c640ab3303e61e6855167a2c162a88710da4b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 21 17:22:05 2025 +0200

    MediaParameters::parseMediaPlayParameters: Take const Dict &

 poppler/Rendition.cc | 18 +++++++++---------
 poppler/Rendition.h  |  2 +-
 2 files changed, 10 insertions(+), 10 deletions(-)

commit 219d83e30b1f4506f43810301b3d2afaabfc15d8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 21 17:20:31 2025 +0200

    MediaWindowParameters::parseFWParams: Take const Dict &

 poppler/Rendition.cc | 20 ++++++++++----------
 poppler/Rendition.h  |  4 ++--
 2 files changed, 12 insertions(+), 12 deletions(-)

commit 898f740b15ead009499655734adb490191a74a6e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 21 17:17:26 2025 +0200

    PageLabelInfo::PageLabelInfo: Take Dict

 poppler/Catalog.cc       |  2 +-
 poppler/PageLabelInfo.cc | 10 +++++-----
 poppler/PageLabelInfo.h  |  4 ++--
 3 files changed, 8 insertions(+), 8 deletions(-)

commit 3156b09004473bfe3d3935ec4030b135f59c4f53
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 21 17:15:36 2025 +0200

    Interval::Interval: Take Dict

 poppler/PageLabelInfo.cc | 10 +++++-----
 poppler/PageLabelInfo.h  |  2 +-
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 135b11dfd956e35e6c9e68365a3e10ca59a653e4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 21 17:13:50 2025 +0200

    Interval::Interval: Take const &

 poppler/PageLabelInfo.cc | 10 +++++-----
 poppler/PageLabelInfo.h  |  2 +-
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 3832aa50afea54f92c77a315d296fdb050476aa5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 21 17:11:33 2025 +0200

    PageLabelInfo::labelToIndex: Return std::optional

 poppler/Catalog.cc       |  4 +++-
 poppler/PageLabelInfo.cc | 18 +++++++-----------
 poppler/PageLabelInfo.h  |  2 +-
 3 files changed, 11 insertions(+), 13 deletions(-)

commit 0ab2f014d621b84315fdb238ea2238b3719574bc
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 21 17:07:06 2025 +0200

    PageLabelInfo::PageLabelInfo: Take const &

 poppler/Catalog.cc       |  4 ++--
 poppler/PageLabelInfo.cc | 10 +++++-----
 poppler/PageLabelInfo.h  |  4 ++--
 3 files changed, 9 insertions(+), 9 deletions(-)

commit 5a57027bd0d939c57676c7e63618764ea9f04555
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 21 17:04:48 2025 +0200

    PageLabelInfo::labelToIndex; Take std::string

 poppler/Catalog.cc       | 2 +-
 poppler/PageLabelInfo.cc | 8 ++++----
 poppler/PageLabelInfo.h  | 2 +-
 3 files changed, 6 insertions(+), 6 deletions(-)

commit 7af8aa5935dc860d7b6e543b60e004484bdb6bfc
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 21 16:59:54 2025 +0200

    Catalog::labelToIndex: Take const &

 cpp/poppler-document.cpp    |  2 +-
 glib/poppler-document.cc    |  4 ++--
 poppler/Catalog.cc          |  6 +++---
 poppler/Catalog.h           |  4 ++--
 qt5/src/poppler-document.cc | 10 +++++-----
 qt6/src/poppler-document.cc | 10 +++++-----
 6 files changed, 18 insertions(+), 18 deletions(-)

commit c7515614dcd585e9a2bda71768ef266e1a724397
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 21 16:58:14 2025 +0200

    PageLabelInfo::labelToIndex: Take const &

 poppler/Catalog.cc       |  2 +-
 poppler/PageLabelInfo.cc | 14 +++++++-------
 poppler/PageLabelInfo.h  |  4 ++--
 3 files changed, 10 insertions(+), 10 deletions(-)

commit 42278b2d5bbc08e4873cc420791afe62b97e2860
Author: Adam Sampson <ats@offog.org>
Date:   Sun Sep 14 18:36:09 2025 +0100

    Remove unused splashColorXor

    Like Splash::xorFill, this was only used by xpdf to highlight the
    selection.

 splash/SplashTypes.h | 11 -----------
 1 file changed, 11 deletions(-)

commit 4d9f78638378592ab97056a7c221968b06ae06f9
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Wed Sep 17 09:04:11 2025 +0200

    CI: Use newer gnupg 2.4

    We now have gcc 15 in our CI and that one fails to compile us a gnupg
    2.4.4, because of different default standards versions. Bump to
    a newer
    gnupg that isn't using the keywords of the new standard version
    keywords
    as variable names

 do-the-gnupg-2.4-dance.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 490b964ee14af1409d0a03079a3561fa5ac37af1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 14 16:24:24 2025 +0200

    Add static assert to check formatStrings is the correct size

 goo/GooString.cc | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 062ab87df73fe715d587523cc0b1e198cd318c26
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Jun 13 13:50:38 2025 +0200

    mingw warnings

 splash/SplashBitmap.cc | 1 +
 utils/Win32Console.cc  | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit b3ed0b8a899110133fc74cfb7f9a06f63f8580bf
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Jun 13 12:43:05 2025 +0200

    GooString: append(char) return void like std::string::push_back

 fofi/FoFiType1C.cc     | 3 ++-
 goo/GooString.h        | 6 +-----
 poppler/PSOutputDev.cc | 6 ++++--
 3 files changed, 7 insertions(+), 8 deletions(-)

commit a950bfde9d70d7498909969c7d477d52f7352859
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Jun 13 12:36:08 2025 +0200

    GooString: remove del(), we have std::string::erase

 goo/GooString.h               |  2 +-
 goo/gfile.cc                  |  4 ++--
 poppler/Annot.cc              |  4 ++--
 poppler/FileSpec.cc           |  4 ++--
 poppler/Form.cc               |  4 ++--
 poppler/GlobalParams.cc       | 18 +++++++++---------
 poppler/GlobalParamsWin.cc    | 10 +++++-----
 poppler/LocalPDFDocBuilder.cc |  2 +-
 poppler/PSOutputDev.cc        |  2 +-
 utils/HtmlLinks.cc            |  2 +-
 utils/HtmlOutputDev.cc        |  4 ++--
 utils/pdftocairo-win32.cc     |  2 +-
 utils/pdftocairo.cc           |  2 +-
 utils/pdftoppm.cc             |  2 +-
 14 files changed, 31 insertions(+), 31 deletions(-)

commit 4e36e1f66e499822fdca8cd6f10ffcb746e84d5e
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Jun 13 12:28:45 2025 +0200

    GooString: let del return void to be similar to std::string::erase

    Also drop default argument; std::string::erase has a different default
    length

 goo/GooString.h            | 6 +-----
 poppler/FileSpec.cc        | 4 ++--
 poppler/GlobalParams.cc    | 2 +-
 poppler/GlobalParamsWin.cc | 8 +++++---
 poppler/PSOutputDev.cc     | 2 +-
 5 files changed, 10 insertions(+), 12 deletions(-)

commit f6dcd06445b6b7795b4c8f654206c5aef3d79100
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Jun 13 12:28:20 2025 +0200

    GooString: remove getLength and use std::string::size instead

 cpp/poppler-document.cpp          |  2 +-
 cpp/poppler-embedded-file.cpp     |  4 +-
 cpp/poppler-private.cpp           |  2 +-
 fofi/FoFiTrueType.cc              |  2 +-
 fofi/FoFiType1C.cc                | 22 +++++-----
 glib/poppler-annot.cc             |  2 +-
 glib/poppler-attachment.cc        |  4 +-
 glib/poppler-document.cc          | 12 +++---
 glib/poppler-page.cc              |  8 ++--
 goo/GooString.cc                  |  2 +-
 goo/GooString.h                   |  5 ++-
 goo/gfile.cc                      |  8 ++--
 poppler/Annot.cc                  | 89
 ++++++++++++++++++++-------------------
 poppler/Annot.h                   |  2 +-
 poppler/CairoOutputDev.cc         |  6 +--
 poppler/Decrypt.cc                | 20 ++++-----
 poppler/FileSpec.cc               | 14 +++---
 poppler/FontInfo.cc               |  2 +-
 poppler/Form.cc                   | 24 +++++------
 poppler/Gfx.cc                    | 10 ++---
 poppler/GfxFont.cc                |  2 +-
 poppler/GfxState.cc               |  2 +-
 poppler/GlobalParams.cc           |  8 ++--
 poppler/GlobalParamsWin.cc        |  9 ++--
 poppler/MarkedContentOutputDev.cc |  2 +-
 poppler/NSSCryptoSignBackend.cc   |  4 +-
 poppler/Object.cc                 | 10 ++---
 poppler/PDFDoc.cc                 | 26 ++++++------
 poppler/PSOutputDev.cc            | 12 +++---
 poppler/PageLabelInfo.cc          |  6 +--
 poppler/Parser.cc                 |  2 +-
 poppler/SecurityHandler.cc        | 15 +++----
 poppler/TextOutputDev.cc          |  6 +--
 qt5/src/poppler-embeddedfile.cc   |  2 +-
 qt5/src/poppler-form.cc           |  6 +--
 qt5/src/poppler-private.cc        | 14 +++---
 qt5/tests/check_goostring.cpp     | 10 ++---
 qt5/tests/check_strings.cpp       |  6 +--
 qt6/src/poppler-embeddedfile.cc   |  2 +-
 qt6/src/poppler-form.cc           |  6 +--
 qt6/src/poppler-private.cc        |  2 +-
 qt6/tests/check_goostring.cpp     | 10 ++---
 qt6/tests/check_strings.cpp       |  6 +--
 utils/HtmlFonts.cc                |  2 +-
 utils/HtmlLinks.cc                |  2 +-
 utils/HtmlOutputDev.cc            |  8 ++--
 utils/pdfdetach.cc                |  4 +-
 utils/pdfsig.cc                   |  4 +-
 utils/pdftocairo-win32.cc         |  6 +--
 utils/pdftocairo.cc               | 10 ++---
 utils/pdftohtml.cc                | 20 ++++-----
 utils/pdftoppm.cc                 |  6 +--
 utils/pdftops.cc                  |  4 +-
 utils/pdftotext.cc                |  8 ++--
 54 files changed, 240 insertions(+), 242 deletions(-)

commit 5336079bde6d1dfac67b66b45f6f61891d747d30
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Jun 13 10:54:12 2025 +0200

    Simplify some GooString / std::string usage

 poppler/CharCodeToUnicode.cc | 4 ++--
 poppler/PDFDoc.cc            | 4 ++--
 poppler/StructElement.cc     | 6 +++---
 poppler/StructElement.h      | 4 ++--
 4 files changed, 9 insertions(+), 9 deletions(-)

commit 20950ddf18f52a2bdab0788f18654bff9f4f962a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Sep 11 00:40:16 2025 +0200

    ViewerPreferences: Take const & instead of pointer

 poppler/Catalog.cc           |  2 +-
 poppler/ViewerPreferences.cc | 30 +++++++++++++++---------------
 poppler/ViewerPreferences.h  |  4 ++--
 3 files changed, 18 insertions(+), 18 deletions(-)

commit 989a4fab7bfedd36f6374235adb06b6aab0cbbb8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Sep 11 00:34:46 2025 +0200

    Update (C)

 goo/gfile.cc             | 1 +
 poppler/Movie.cc         | 1 +
 poppler/Object.cc        | 1 +
 poppler/SignatureInfo.cc | 2 +-
 poppler/SignatureInfo.h  | 2 +-
 5 files changed, 5 insertions(+), 2 deletions(-)

commit 2c8f53543a1bd9c593ebe75c5f700f917bcc8550
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Jun 13 15:51:05 2025 +0200

    GooString: remove copy from GooString* constructor

 goo/GooString.h               |  3 +--
 goo/gfile.cc                  |  4 +---
 poppler/Object.cc             |  4 ++--
 qt5/tests/check_goostring.cpp |  5 -----
 qt6/tests/check_goostring.cpp |  5 -----
 utils/pdftohtml.cc            | 16 +++++++---------
 6 files changed, 11 insertions(+), 26 deletions(-)

commit 4261cd95e0eb94f0d5510cd615b0f4c9b8593ad1
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Tue Mar 11 14:52:31 2025 +0100

    More places to take advantage of takeString

    Also some where the slightly weird GooString(const GooString* )
    constructor is used

 poppler/Annot.cc           |  6 +++---
 poppler/Form.cc            | 24 ++++++++++++------------
 poppler/GfxFont.cc         |  4 ++--
 poppler/Link.cc            |  8 ++++----
 poppler/Movie.cc           |  2 +-
 poppler/OptionalContent.cc |  2 +-
 poppler/PDFDoc.cc          |  4 ++--
 poppler/Rendition.cc       |  4 ++--
 poppler/StructElement.cc   | 12 ++++++------
 9 files changed, 33 insertions(+), 33 deletions(-)

commit 230aef3c1da455d370d5b261dc490088b6151ff6
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Mon Mar 10 16:33:05 2025 +0100

    Object: allow to move string out

    In many cases, we take a copy of Object, then we copy out the string
    from it and destroy it.

    Make it possible to re-use the string data from inside the object.

    This doesn't implement everyone using it, just across a couple
    of files.

 poppler/Annot.cc         | 24 ++++++++++++------------
 poppler/FileSpec.cc      | 12 ++++++------
 poppler/Form.cc          |  8 ++++----
 poppler/Object.h         |  9 +++++++++
 poppler/SignatureInfo.cc |  8 ++++----
 poppler/SignatureInfo.h  |  4 ++--
 6 files changed, 37 insertions(+), 28 deletions(-)

commit ab1d04981127e0a146fb4f238af54d83a607f76a
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Tue Feb 25 15:24:58 2025 +0100

    Update font in formfield annot when adding a font

    It is likely that in cases where we have a type1 or a subsetted font
    that we don't have the glyphs that we are using and then add a
    new font
    for it.

    Also then use the new font for the appearance.

    This is at least KDE bugs :
    475025 471796 475884 and maybe 283477

 poppler/Form.cc | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

commit 27dff946d3509ce42586980ce14eb1c7d179b230
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Sep 4 14:16:11 2025 +0200
